<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta property="og:title" content="RealTalk" />
        <meta property="og:image" content="https://fcs.skt-ptt.co.kr/mcs/p/service_img_market.png"/>
        <meta property="og:description" content="리얼톡 무전방에 초대합니다."/>
        <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
        <title>RealTalk</title>
        <link rel="shortcut icon" href="./favicon.ico" />
        <style type="text/css">
            .testButton button {
                display: inline-block;
                font-size: 30px;
                width: 100%;
                height: 100px;
            }
            .testButton a {
                text-decoration: none;
            }
        </style>
    </head>
    <body>
        <div style="display: none" id="appLinkButton" class="testButton" >
            <button id="myCheck" onclick="window.jump()">버튼을 터치하면 리얼톡 설치페이지로 이동합니다.</button>
        </div>
        <script type="text/javascript">
          window.onload = function () {

            function getWebLink() {
                /*
                return 'https://play.google.com/store/apps/details?id=com.skt.ptt';
                return 'https://play.google.com/store/apps/details?id=com.skt.ptt';
                */
                return "market://details?id=com.skt.ptt";
            }

            function getIOSWebLink() {
                var url = '';
                url = "https://itunes.apple.com/us/app/okitoki-jeonmunga-sujun-ui/id1076478675?l=ko&ls=1&mt=8";
                return url;
            }

            function getIOSTempLink() {
                var url = '';
                url = "./d.html";
                return url;
            }

            function isSafari() {
                var r = false;
                if (navigator.userAgent.indexOf('Safari') != -1 && navigator.userAgent.indexOf('Chrome') == -1 && navigator.userAgent.indexOf('Android') == -1) {
                    r = true;
                    console.log('Its Safari');
                }
                return r;
            }

            function iOS() {
                var iDevices = [
                    'iPad Simulator',
                    'iPhone Simulator',
                    'iPod Simulator',
                    'iPad',
                    'iPhone',
                    'iPod'
                        ];

                while (iDevices.length) {
                    if (navigator.platform === iDevices.pop()){
                        console.log('Its iOS');
                        return true;
                    }
                }

                return false;
            }

            function jump() {
                console.log(navigator.userAgent);
                var fallbackLink = getWebLink();
                var iosConfirmStr = "리얼톡 설치페이지로 이동할까요?";
                console.log('jump');

                if(isSafari() || iOS()) {ㅋㅋㅋ
                    location.href = getIOSTempLink();
                    return;
                    if (window.confirm(iosConfirmStr)) {
                        location.href = getIOSWebLink();
                    }
                    return;
                }

                window.location.replace(fallbackLink);
            }

            window.jump = jump;

            console.log("no referrer");

            window.jump();

            /*
            setTimeout(function() {
                var b = document.getElementById("appLinkButton");
                b.style.display = 'block';
            }, 5000);
            */

          }; /* window.onload */
        </script>
    </body>
</html>
